Launch a Batch Campaign

View as Markdown

1. Prepare your CSV

Your CSV must include customer_phone. Add any variables your agent uses in prompts, tools, or results.

1customer_phone,customer_name,due_amount,account_id
2+919876543210,Rahul,29000,ACC-123
3+919812345678,Anita,15000,ACC-456

2. Upload the batch

$curl -X POST "https://api.voice.formantai.com/v1/batch-call" \
> -H "Authorization: Bearer $FORMANT_API_KEY" \
> -F "agent_id=123" \
> -F "name=Payment Reminder Campaign" \
> -F "file=@contacts.csv"

3. Track the batch

$curl "https://api.voice.formantai.com/v1/batch-calls/456" \
> -H "Authorization: Bearer $FORMANT_API_KEY"

4. Fetch metrics

$curl "https://api.voice.formantai.com/v1/batch-calls/456/metrics" \
> -H "Authorization: Bearer $FORMANT_API_KEY"

5. Process individual outcomes

Use webhooks for real-time call outcomes and Conversations API for final reconciliation.